From 341f1a19d3d96205cfd35949b9c3a2b070cf79bc Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 03 2021 06:04:07 +0000
Subject: [PATCH 2010/2232] Merge pull request #649 from dtolnay/warnings


Build with -Werror in CI
---

diff --git a/build.rs b/build.rs
index aec0dc9..f799441 100644
--- a/build.rs
+++ b/build.rs
@@ -8,6 +8,7 @@ fn main() {
         .cpp(true)
         .cpp_link_stdlib(None) // linked via link-cplusplus crate
         .flag_if_supported(cxxbridge_flags::STD)
+        .warnings_into_errors(cfg!(deny_warnings))
         .compile("cxxbridge1");
 
     println!("cargo:rerun-if-changed=src/cxx.cc");
diff --git a/tests/ffi/build.rs b/tests/ffi/build.rs
index c8f010e..86f8cd3 100644
--- a/tests/ffi/build.rs
+++ b/tests/ffi/build.rs
@@ -10,6 +10,7 @@ fn main() {
     let mut build = cxx_build::bridges(sources);
     build.file("tests.cc");
     build.flag_if_supported(cxxbridge_flags::STD);
+    build.warnings_into_errors(cfg!(deny_warnings));
     if cfg!(not(target_env = "msvc")) {
         build.define("CXX_TEST_INSTANTIATIONS", None);
     }

